From 0459da678611ceddf0a40a1a2f75ecddd9e7915f Mon Sep 17 00:00:00 2001
From: Owen W. Taylor <otaylor@fishsoup.net>
Date: Aug 31 2021 17:46:25 +0000
Subject: [PATCH 2/2] Include Discord


Discord is currently the #2 download on Flathub.

The Flathub version of Discord is a redistribution of the (proprietary) Discord app
with permission, rather than an extra-data app:
https://github.com/flathub/com.discordapp.Discord/commit/587771e31a05a43565c03e8981e73eb86932be93

The Flatpak is actively maintained and well sandboxed (other than requiring X11 access).

Due to Flatpak limitations and maintainer decisions, some aspects of Discord either do not
work out of the box or do not work at all - see https://github.com/flathub/com.discordapp.Discord#readme -
However, this Flatpak still seems to be the best option for most people who want Discord
on Fedora.

---

diff --git a/fedora-flathub.filter b/fedora-flathub.filter
index 25b80ba..94a973f 100644
--- a/fedora-flathub.filter
+++ b/fedora-flathub.filter
@@ -4,6 +4,7 @@
 # Deny by default
 deny *
 allow com.bitwarden.desktop
+allow com.discordapp.Discord
 allow com.getpostman.Postman
 allow com.microsoft.Teams
 allow com.mojang.Minecraft

